
set( canvas_root_io_VERSION 1.01.01 )
set( canvas_root_io_UPS_VERSION v1_01_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

if (IS_DIRECTORY "${PACKAGE_PREFIX_DIR}/canvas_root_io/v1_01_01/Modules")
  list(APPEND CMAKE_MODULE_PATH "${PACKAGE_PREFIX_DIR}/canvas_root_io/v1_01_01/Modules")
endif()


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( canvas  )
    find_ups_product( cppunit  )
    find_ups_product( clhep  )
    find_ups_product( cetlib_except  )
    find_ups_product( cetlib v2_01_00 )
    find_ups_boost( v1_50_0 )
    find_ups_product( sqlite  )
    find_ups_product( fhiclcpp  )
    find_ups_product( python  )
    find_ups_product( messagefacility  )
    find_ups_product( tbb  )
    find_ups_product( range  )
    find_ups_root(  )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHON )
      cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
      set( CANVAS_ROOT_IO_DICTIONARIES_CANVAS_COMMON_DICT $ENV{CANVAS_ROOT_IO_LIB}/libcanvas_root_io_Dictionaries_canvas_Common_dict.so )
      set( CANVAS_ROOT_IO_DICTIONARIES_CANVAS_PROVENANCE_DICT $ENV{CANVAS_ROOT_IO_LIB}/libcanvas_root_io_Dictionaries_canvas_Provenance_dict.so )
      set( CANVAS_ROOT_IO_DICTIONARIES_CANVAS_UTILITIES_DICT $ENV{CANVAS_ROOT_IO_LIB}/libcanvas_root_io_Dictionaries_canvas_Utilities_dict.so )
      set( CANVAS_ROOT_IO_DICTIONARIES_CLHEP_DICT $ENV{CANVAS_ROOT_IO_LIB}/libcanvas_root_io_Dictionaries_clhep_dict.so )
      set( CANVAS_ROOT_IO_DICTIONARIES_CETLIB_DICT $ENV{CANVAS_ROOT_IO_LIB}/libcanvas_root_io_Dictionaries_cetlib_dict.so )
      set( CANVAS_ROOT_IO_DICTIONARIES_FHICLCPP_DICT $ENV{CANVAS_ROOT_IO_LIB}/libcanvas_root_io_Dictionaries_fhiclcpp_dict.so )
      set( CANVAS_ROOT_IO_DICTIONARIES_STD_DICT $ENV{CANVAS_ROOT_IO_LIB}/libcanvas_root_io_Dictionaries_std_dict.so )
      set( CANVAS_ROOT_IO_DICTIONARIES_WRAPPED_STD_DICT $ENV{CANVAS_ROOT_IO_LIB}/libcanvas_root_io_Dictionaries_wrapped_std_dict.so )
      set( CANVAS_ROOT_IO $ENV{CANVAS_ROOT_IO_LIB}/libcanvas_root_io.so )
      include_directories ( $ENV{CANVAS_ROOT_IO_INC} )

check_required_components(canvas_root_io)

